> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Review to Image

> Convert customer reviews into branded images with customizable elements like logos and background photos.



## OpenAPI

````yaml POST /tools/review-to-image
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /tools/review-to-image:
    post:
      description: >-
        Convert customer reviews into branded images with customizable elements
        like logos and background photos.
      requestBody:
        description: Review text generation parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewToImageRequest'
        required: true
      responses:
        '200':
          description: Review image generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewToImageResponse'
              examples:
                success:
                  value:
                    status: 200
                    data: <base64 encoded image data>
                    success: true
                    message: <string>
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    ReviewToImageRequest:
      type: object
      required:
        - text_review
        - customer_brand_name
      properties:
        user_name:
          type: string
          description: Name of the reviewer
        user_job_title:
          type: string
          description: Job title of the reviewer
        user_company:
          type: string
          description: Company of the reviewer
        text_review:
          type: string
          description: The review text content
        star_rating:
          type: number
          description: Star rating (1-5)
        customer_brand_name:
          type: string
          description: Name of the brand being reviewed
        customer_brand_website:
          type: string
          description: Website of the brand being reviewed
        customer_brand_socialmedia_handle:
          type: string
          description: Social media handle of the brand
        customer_brand_logo:
          type: string
          format: binary
          description: Brand logo image file
        customer_brand_background_photos:
          type: array
          items:
            type: string
            format: binary
          description: Background photos for the generated image
        customer_reference_image:
          type: string
          format: binary
          description: Reference image for styling
    ReviewToImageResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: string
          description: Base64 encoded image data
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          description: Response message
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````